Name:           ocaml-batteries
Version:        2.1
Release:        %mkrel 3
Summary:        A comprehensive standard library for OCaml
Group:          Development/OCaml
License:        LGPLv2 with linking exception
URL:            http://batteries.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/1218/batteries-%{version}.tar.gz
Patch0:         batteries-2.1-upstream-compatibility-ocaml-4.01.patch
BuildRequires:  ocaml-compiler-libs
#BuildRequires:  ocaml-camomile-devel
#BuildRequires:  ocaml-camomile-data
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-bisect
#BuildRequires:  camlp4
Requires: ocaml-camomile

%description
OCaml Batteries included, or simply "Batteries", is a community-driven
effort to standardize on a consistent, documented, and comprehensive
development platform for the OCaml programming language.

Batteries is meant to serve the following purposes:
- define a standard set of libraries which may be expected on every
  compliant installation of OCaml;
- organize these libraries into a hierarchy of modules, with a single
  source of documentation;
- define a standard set of language extensions (based on CamlP4) which may
  be expected on every compliant installation of OCaml;
- provides a consistent API for otherwise independent libraries.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-camomile-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n batteries-%{version}
%patch0 -p1

%build
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install
make install-doc DOCROOT=%{buildroot}%{_docdir}/%{name}

# we do not ship the top-level for now
rm -rf %{buildroot}%{_libdir}/ocaml/batteries/ocaml*

%check
#make test test

%files
%doc README.md LICENSE
%dir %{_libdir}/ocaml/batteries
%{_libdir}/ocaml/batteries/*.cmi
%{_libdir}/ocaml/batteries/*.cma
%{_libdir}/ocaml/batteries/*.cmo
%{_libdir}/ocaml/batteries/*.cmxs
%{_libdir}/ocaml/batteries/META

%files devel
%doc FAQ
%dir %{_docdir}/ocaml-batteries
%{_libdir}/ocaml/batteries/*.a
%{_libdir}/ocaml/batteries/*.cmxa
%{_libdir}/ocaml/batteries/*.cmx
%{_libdir}/ocaml/batteries/*.ml
%{_libdir}/ocaml/batteries/*.mli


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.1-3.mga4
+ Revision: 539498
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 malo <malo> 2.1-2.mga4
+ Revision: 492351
- add upstream patch for ocaml-4.01 compatibility
- rebuild for new ocaml-4.01.0

* Wed Jul 31 2013 blue_prawn <blue_prawn> 2.1-1.mga4
+ Revision: 461495
- updated to last version 2.1

* Sat Apr 06 2013 malo <malo> 2.0.0-3.mga3
+ Revision: 408618
- remove requires

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 361151
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 malo <malo> 2.0.0-1.mga3
+ Revision: 343011
- new version 2.0.0

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.5.0-3.mga3
+ Revision: 301875
- build requires ocaml-compiler-libs
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.5.0-2.mga3
+ Revision: 300039
- new rpm group for ocaml

* Wed Sep 05 2012 blue_prawn <blue_prawn> 1.5.0-1.mga3
+ Revision: 288657
- updated to last version 1.5.0

* Wed Jul 04 2012 malo <malo> 1.4.3-1.mga3
+ Revision: 267673
- missing BuildRequires to ocaml-camomile-data
- missing BuildRequires to ocaml-ounit-devel
- new version 1.4.3
- add %%check for tests

* Sat Feb 18 2012 malo <malo> 1.4.1-2.mga2
+ Revision: 210161
- missing requires ocaml-camomile
- fix license

* Wed Jan 11 2012 blue_prawn <blue_prawn> 1.4.1-1.mga2
+ Revision: 195029
- BuildRequires: camlp4
- BuildRequires: ocaml-camomile
- imported package ocaml-batteries

